Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.essbase.api.domain
Interface IEssCluster

All Superinterfaces:
  IEssBaseObject, IEssExtendedObject, IEssProperties

public interface IEssCluster
extends IEssExtendedObject, IEssProperties

The IEssCluster is a cluster definition.

Nested Class Summary
`static class` | `IEssCluster.EEssClusterType` The EEssClusterType class is an enumeration of server types.
`static class` | `IEssCluster.EEssLoadBalanceAlgorithm` The EEssLoadBalanceAlgorithm class is an enumeration of load balance algorithms supported.

Nested classes inherited from class com.essbase.api.base.IEssProperties
`IEssProperties.EEssPropertyMode`

Field Summary
`static int` | `PROP_DESCRIPTION`
`static int` | `PROP_NAME`
`static int` | `PROP_SERVICE_COMPONENT_NAMES`
`static int` | `s_countProperties`
`static IEssValueAny.EEssDataType[]` | `s_propDataTypes`
`static IEssProperties.EEssPropertyMode[]` | `s_propModes`
`static java.lang.String[]` | `s_propNames`

Method Summary
`void` | `delete()` Deletes this cluster.
`java.lang.String` | `getDescription()` Gets the cluster description.
`java.lang.String` | `getName()` Gets the cluster name.
`java.lang.String` | `getServiceComponentNames()` Gets the service component names.
`IEssCluster.EEssClusterType` | `getType()` Gets the cluster type.
`void` | `refreshPropertyValues()` Refreshes the property values.
`void` | `setDescription(java.lang.String desc)` Sets the cluster description.
`void` | `setServiceComponentNames(java.lang.String compNames)` Sets the service component names.
`void` | `setType(IEssCluster.EEssClusterType type)` Sets the cluster type.
`void` | `updatePropertyValues()` Updates the property values.

Methods inherited from interface com.essbase.api.base.IEssExtendedObject
`clearClientCache, getParent, getParentBase, isClientCachingEnabled, setClientCachingEnabled`

Methods inherited from interface com.essbase.api.base.IEssProperties
`getCountProperties, getPropertyDataType, getPropertyDataType, getPropertyDataTypes, getPropertyId, getPropertyMode, getPropertyMode, getPropertyModes, getPropertyName, getPropertyNames, getPropertyValueAny, getPropertyValueAny, setPropertyValueAny, setPropertyValueAny`

Field Detail

### PROP_NAME

    public static final int PROP_NAME

See Also:
  Constant Field Values

### PROP_DESCRIPTION

    public static final int PROP_DESCRIPTION

See Also:
  Constant Field Values

### PROP_SERVICE_COMPONENT_NAMES

    public static final int PROP_SERVICE_COMPONENT_NAMES

See Also:
  Constant Field Values

### s_countProperties

    public static final int s_countProperties

See Also:
  Constant Field Values

### s_propNames

    public static final java.lang.String[] s_propNames

### s_propDataTypes

    public static final IEssValueAny.EEssDataType[] s_propDataTypes

### s_propModes

    public static final IEssProperties.EEssPropertyMode[] s_propModes

Method Detail

### getName

    public java.lang.String getName()
                             throws EssException

  Gets the cluster name.

  Specified by:
    `getName` in interface `IEssExtendedObject`
  Returns:
    The cluster name.
  Throws:
    `EssException` - if an error occurs.

### getDescription

    public java.lang.String getDescription()
                                    throws EssException

  Gets the cluster description.

  Returns:
    The cluster description.
  Throws:
    `EssException` - if an error occurs.

### setDescription

    public void setDescription(java.lang.String desc)
                        throws EssException

  Sets the cluster description. The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `desc` - The cluster description.
  Throws:
    `EssException` - if an error occurs.

### getType

    public IEssCluster.EEssClusterType getType()
                                        throws EssException

  Gets the cluster type.

  Returns:
    The cluster type.
  Throws:
    `EssException` - if an error occurs.

### setType

    public void setType(IEssCluster.EEssClusterType type)
                 throws EssException

  Sets the cluster type. The change will become effective after you invoke updatePropertyValues().

  Returns:
    The cluster type.
  Throws:
    `EssException` - if an error occurs.

### getServiceComponentNames

    public java.lang.String getServiceComponentNames()
                                              throws EssException

  Gets the service component names.

  Returns:
    The service component names separated by semicolon. Eg: "localhost/Demo/Basic; localhost/Demo2/Basic".
  Throws:
    `EssException` - if an exception occurs.

### setServiceComponentNames

    public void setServiceComponentNames(java.lang.String compNames)
                                  throws EssException

  Sets the service component names. The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `compNames` - The service component names separated by semicolon. Eg: "localhost/Demo/Basic; localhost/Demo2/Basic".
  Throws:
    `EssException` - if an exception occurs.

### refreshPropertyValues

    public void refreshPropertyValues()
                               throws EssException

  Refreshes the property values. The JAPI cache for this object is refreshed with the latest values from the server, so that all the getXXX() methods will return the latest values.

  Specified by:
    `refreshPropertyValues` in interface `IEssProperties`
  Throws:
    `EssException` - if an error occurs.

### updatePropertyValues

    public void updatePropertyValues()
                              throws EssException

  Updates the property values. The changes made to this object via setXXX() methods will become effective only after you invoke updatePropertyValues().

  Specified by:
    `updatePropertyValues` in interface `IEssProperties`
  Throws:
    `EssException` - if an error occurs.

### delete

    public void delete()
                throws EssException

  Deletes this cluster.

  Throws:
    `EssException` - if an error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD